> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue Certificate

> Issue a new trust certificate.

Requires authentication via X-API-Key header.

Args:
    request: Certificate issuance request
    api_key: Validated API key from header

Returns:
    Issued TrustCertificate with hash and JSON-LD



## OpenAPI

````yaml /api-reference/openapi.json post /v1/certificate/issue
openapi: 3.1.0
info:
  title: LimitGuard.ai
  description: Trust Intelligence API - Entity verification and risk scoring
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/certificate/issue:
    post:
      summary: Issue Certificate
      description: |-
        Issue a new trust certificate.

        Requires authentication via X-API-Key header.

        Args:
            request: Certificate issuance request
            api_key: Validated API key from header

        Returns:
            Issued TrustCertificate with hash and JSON-LD
      operationId: issue_certificate_v1_certificate_issue_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CertificateIssueRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustCertificate'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CertificateIssueRequest:
      properties:
        entity_name:
          type: string
          title: Entity Name
          description: Name of the entity receiving certificate
        country:
          type: string
          maxLength: 2
          minLength: 2
          title: Country
          description: 2-character ISO country code
        trust_score:
          type: integer
          maximum: 100
          minimum: 0
          title: Trust Score
          description: Trust score 0-100
        trust_level:
          type: string
          title: Trust Level
          description: Trust level (HIGH, MEDIUM, LOW)
        valid_days:
          type: integer
          maximum: 3650
          minimum: 1
          title: Valid Days
          description: Certificate validity in days
          default: 365
      type: object
      required:
        - entity_name
        - country
        - trust_score
        - trust_level
      title: CertificateIssueRequest
      description: Request to issue a new trust certificate.
    TrustCertificate:
      properties:
        certificate_id:
          type: string
          title: Certificate Id
          description: Unique certificate UUID
        entity_name:
          type: string
          title: Entity Name
          description: Name of certified entity
        country:
          type: string
          title: Country
          description: 2-character ISO country code
        trust_score:
          type: integer
          maximum: 100
          minimum: 0
          title: Trust Score
          description: Trust score 0-100
        trust_level:
          type: string
          title: Trust Level
          description: Trust level (HIGH, MEDIUM, LOW)
        issued_at:
          type: string
          format: date-time
          title: Issued At
          description: Certificate issuance timestamp
        expires_at:
          type: string
          format: date-time
          title: Expires At
          description: Certificate expiration timestamp
        certificate_hash:
          type: string
          title: Certificate Hash
          description: SHA-256 hash of certificate content
        issuer:
          type: string
          title: Issuer
          description: Certificate issuer
          default: LimitGuard.ai
        schema_version:
          type: string
          title: Schema Version
          description: Certificate schema version
          default: '1.0'
        status:
          type: string
          title: Status
          description: Certificate status
          default: active
        json_ld:
          additionalProperties: true
          type: object
          title: Json Ld
          description: JSON-LD structured data representation
      type: object
      required:
        - certificate_id
        - entity_name
        - country
        - trust_score
        - trust_level
        - issued_at
        - expires_at
        - certificate_hash
        - json_ld
      title: TrustCertificate
      description: Trust certificate issued by LimitGuard.ai.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````